package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 涉密文件销毁对象 td_file_destory
 * 
 * @author ruoyi
 * @date 2024-05-15
 */
public class TdFileDestory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long destoryId;

    /** 接收id */
    @Excel(name = "接收id")
    private Long receiveId;

    /** 文件名 */
    @Excel(name = "文件名")
    private String destoryFilename;

    /** 销毁地点 */
    @Excel(name = "销毁地点")
    private String destoryAddress;

    /** 销毁数量 */
    @Excel(name = "销毁数量")
    private Long destoryCount;

    /** 销毁单位 */
    @Excel(name = "销毁单位")
    private String destoryDepart;

    /** 销毁人员 */
    @Excel(name = "销毁人员")
    private String destoryUsername;

    /** 销毁方式 */
    @Excel(name = "销毁方式")
    private String destoryStyle;

    /** 销毁日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "销毁日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date destoryDate;

    public void setDestoryId(Long destoryId) 
    {
        this.destoryId = destoryId;
    }

    public Long getDestoryId() 
    {
        return destoryId;
    }
    public void setReceiveId(Long receiveId)
    {
        this.receiveId = receiveId;
    }

    public Long getReceiveId()
    {
        return receiveId;
    }
    public void setDestoryFilename(String destoryFilename) 
    {
        this.destoryFilename = destoryFilename;
    }

    public String getDestoryFilename() 
    {
        return destoryFilename;
    }
    public void setDestoryAddress(String destoryAddress) 
    {
        this.destoryAddress = destoryAddress;
    }

    public String getDestoryAddress() 
    {
        return destoryAddress;
    }
    public void setDestoryCount(Long destoryCount) 
    {
        this.destoryCount = destoryCount;
    }

    public Long getDestoryCount() 
    {
        return destoryCount;
    }
    public void setDestoryDepart(String destoryDepart) 
    {
        this.destoryDepart = destoryDepart;
    }

    public String getDestoryDepart() 
    {
        return destoryDepart;
    }
    public void setDestoryUsername(String destoryUsername) 
    {
        this.destoryUsername = destoryUsername;
    }

    public String getDestoryUsername() 
    {
        return destoryUsername;
    }
    public void setDestoryStyle(String destoryStyle) 
    {
        this.destoryStyle = destoryStyle;
    }

    public String getDestoryStyle() 
    {
        return destoryStyle;
    }
    public void setDestoryDate(Date destoryDate) 
    {
        this.destoryDate = destoryDate;
    }

    public Date getDestoryDate() 
    {
        return destoryDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("destoryId", getDestoryId())
            .append("receiveId", getReceiveId())
            .append("destoryFilename", getDestoryFilename())
            .append("destoryAddress", getDestoryAddress())
            .append("destoryCount", getDestoryCount())
            .append("destoryDepart", getDestoryDepart())
            .append("destoryUsername", getDestoryUsername())
            .append("destoryStyle", getDestoryStyle())
            .append("destoryDate", getDestoryDate())
            .append("remark", getRemark())
            .toString();
    }
}
